Page MenuHomePhabricator

[mlir][linalg] Add padding pass to strategy passes.
ClosedPublic

Authored by gysit on Oct 25 2021, 12:33 PM.

Details

Summary

Add a strategy pass that pads and hoists after tiling and fusion.

Depends On D112412

Diff Detail

Event Timeline

gysit created this revision.Oct 25 2021, 12:33 PM
gysit requested review of this revision.Oct 25 2021, 12:33 PM
nicolasvasilache accepted this revision.Oct 28 2021, 6:14 AM
This revision is now accepted and ready to land.Oct 28 2021, 6:14 AM
gysit updated this revision to Diff 383347.Oct 29 2021, 7:41 AM

Rebase.

gysit updated this revision to Diff 383361.Oct 29 2021, 8:13 AM

Fix padIf method to pass filter to the pad method.

This revision was landed with ongoing or failed builds.Oct 29 2021, 8:33 AM
This revision was automatically updated to reflect the committed changes.